Developer Guide
Getting Started
Overview
To evaluate UpToDate Digital Architect APIs and content you must first request a username and password from Wolters Kluwer. This will allow you to login to the Developer Portal where you can review and try out our library of APIs. You'll also have access to the Content Browser, where you can review our library of health content.
Get User Credentials
To gain access to our API reference pages, you need a user account and your organization must be licensed for one of more UpToDate Digital Architect products. Trial licenses are available upon request.
If you're interested in trial access, contact our sales team.
If your organization is already licensed, and you need new users created, you can reach out to <support@uptodate.com> to request user access for UpToDate Digital Architect. Be sure to specify your organization name and include first name, last name, and email address of each user account that needs to be created.
Explore the APIs
Once you've received your username and password, log in to the Developer Portal to access the API library, view documentation, and try out the APIs.
Sign in with your username and password (you'll be asked to agree to the terms and conditions).
Access the "Developer" menu.
Select the "API Reference" option.
Select the endpoint of interest. View the documentation and click the "Try It" button to test the endpoint.
Select authorization_code for authorization. This will automatically create a bearer token for your user credentials and assign it to the Authorization header to allow access.
Fill in the query parameters of interest, scroll down, and click the "Send" button.
View the response.
The Developer Portal allows developers to explore and understand the APIs and serves as the official source of API documentation. To begin development, request a subscription key.
Explore our content
If you're interested in viewing the health content available through Digital Architect APIs, use Content Browser. It features tools built using our APIs, including those used to search and display content, to showcase their capabilities.
Using our APIs
When you're ready to begin developing using UpToDate Digital Architect APIs, you must request a subscription key from Wolters Kluwer (a contract will be required). Once you've received a subscription key, you will need to pass it as the value of the "subscription-key" HTTP header with every API request.
Authentication
When you're ready to begin developing with UpToDate Digital Architect APIs, you must request OAuth2 client credentials from Wolters Kluwer (a contract is required). The steps below outline how to use these credentials to authenticate with Wolters Kluwer APIs. You can use this process in your code or in tools such as Postman.
Make a POST call to the token endpoint with the four form parameters listed below. The token expires in 60 minutes.
Request: POST https://login.microsoftonline.com/b56467f2-3740-4724-a616-2738af322188/oauth2/v2.0/token
HTTP Header: Content-Type: application/x-www-form-urlencoded
Form values in POST body:client_id={your client_id}
client_secret={your client_secret}
grant_type=client_credentials
Use the returned access_token from the above call as a bearer token to call any of the API endpoints.
Request: Any API endpoint
HTTP Header: Authorization: Bearer {token from previous step}
Helpful Links
Medi-Span support platforms: